it-swarm-ja.com

yumは特定のバージョンをインストールします

現在centOS5.2を使用しています。インストールしたいphp 5.3.3。 yumを使用してインストールするにはどうすればよいですか?

2
Subodh Chettri

最初に、PHP 5.3のリポジトリを追加する必要があります。この場合、 webtatic 1を使用できます。

rpm -Uvh http://repo.webtatic.com/yum/centos/5/latest.rpm

次に、以下を実行します。

yum update

PHPをインストールします。

yum --enablerepo=webtatic install php
3
YassineB

特定のバージョンをインストールするには、yumにfull名でパッケージをインストールするように依頼するだけです。

たとえば、php-5.3.3のフルネームが「php-5.3.3-1.el5.remi.x86_64.rpm」の場合:

yum install php-5.3.3-1.el5.remi.x86_64.rpm

詳細については、この小さな記事を読むことができます: http://www.zulius.com/how-to/yum-install-specific-package-version

2
Sandro Munda

yum list phpまたはyum search phpを実行するとどうなりますか? php 5.3.3のリポジトリはありますか? CentOS 5.2はかなり古いため、デフォルトでは古いバージョンのPHPが付属しています。 5.4を実行していて、最新バージョンのリポジトリを見つける必要がありました。

this リポジトリを使用します。

0
luckytaxi
yum install php-5.3.3

十分です

0
Michel Samia